> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authorized Connected Apps For A User

> Retrieves a list of Connected Apps for a User.

Retrieves a list of Connected Apps with which the User has successfully completed an authorization flow. If the User revokes a Connected App's access (e.g. via the Revoke Connected App endpoint) then the Connected App will no longer be returned in the response.


## OpenAPI

````yaml GET /v1/users/{user_id}/connected_apps
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/users/{user_id}/connected_apps:
    get:
      tags:
        - User
      summary: Connectedapps
      description: >-
        User Get Connected Apps retrieves a list of Connected Apps with which
        the User has successfully completed an

        authorization flow.

        If the User revokes a Connected App's access (e.g. via the Revoke
        Connected App endpoint) then the Connected App will

        no longer be returned in the response.
      operationId: api_user_v1_ConnectedApps
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              The unique ID of a specific User. You may use an `external_id`
              here if one is set for the user.
          description: >-
            The unique ID of a specific User. You may use an `external_id` here
            if one is set for the user.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_user_v1_ConnectedAppsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // GET /v1/users/{user_id}/connected_apps
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
            };

            client.Users.ConnectedApps(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// GET /v1/users/{user_id}/connected_apps\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/users\"\n)\n\nfunc main() {\n\tclient, err := stytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &users.ConnectedAppsParams{\n\t\tUserID: \"user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6\",\n\t}\n\n\tresp, err := client.Users.ConnectedApps(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: |-
            // GET /v1/users/{user_id}/connected_apps
            package com.example;

            import com.stytch.java.common.StytchResult;
            import com.stytch.java.consumer.models.users.ConnectedAppsRequest;
            import com.stytch.java.consumer.StytchClient;

            public class Main {
                public static void main(String[] args) {
                    StytchClient.configure("${projectId}", "${secret}");

                    ConnectedAppsRequest params = new ConnectedAppsRequest();
                    params.setUserId("user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6");

                    Object result = StytchClient.getUsers().connectedApps(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: |
            // GET /v1/users/{user_id}/connected_apps
            package com.example

            import com.stytch.java.consumer.StytchClient
            import com.stytch.java.consumer.models.users.ConnectedAppsRequest

            fun main() {
                StytchClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchClient.users.connectedApps(
                            ConnectedAppsRequest(
                                userId = "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // GET /v1/users/{user_id}/connected_apps
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
            };

            client.users.connectedApps(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->users->connected_apps([
                'user_id' => 'user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6',
            ]);
        - lang: python
          label: Python
          source: |
            # GET /v1/users/{user_id}/connected_apps
            from stytch import Client

            client = Client(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.users.connected_apps(
                user_id="user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # GET /v1/users/{user_id}/connected_apps
            require 'stytch'

            client = Stytch::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.users.connected_apps(
              user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // GET /v1/users/{user_id}/connected_apps
            use stytch::consumer::client::Client;
            use stytch::consumer::users::ConnectedAppsRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.users.connected_apps(
                    ConnectedAppsRequest{
                        user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # GET /v1/users/{user_id}/connected_apps
            curl --request GET \
              --url https://test.stytch.com/v1/users/user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6/connected_apps \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json'
components:
  schemas:
    api_user_v1_ConnectedAppsResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        connected_apps:
          type: array
          items:
            $ref: '#/components/schemas/api_user_v1_UserConnectedApp'
          description: >-
            An array of Connected Apps with which the User has successfully
            completed an authorization flow.
        status_code:
          type: integer
          format: int32
      required:
        - request_id
        - connected_apps
        - status_code
    api_user_v1_UserConnectedApp:
      type: object
      properties:
        connected_app_id:
          type: string
          description: The ID of the Connected App.
        name:
          type: string
          description: The name of the Connected App.
        description:
          type: string
          description: A description of the Connected App.
        client_type:
          type: string
          description: >-
            The type of Connected App. Supported values are `first_party`,
            `first_party_public`, `third_party`, and `third_party_public`.
        scopes_granted:
          type: string
          description: >-
            The scopes granted to the Connected App at the completion of the
            last authorization flow.
        logo_url:
          type: string
          description: The logo URL of the Connected App, if any.
      required:
        - connected_app_id
        - name
        - description
        - client_type
        - scopes_granted
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````